/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-30 15:17:49.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 系统配置信息
 *
 * @author: QMTH
 * @since: 2018/11/30
 */
@Component
public class SysProperty implements Serializable {
    private static final long serialVersionUID = 1L;

    @Value("${$upyun.site.1.domain}")
    protected String domain;

    @Value("${$upyun.site.1.bucketName}")
    protected String bucketName;

    @Value("${$upyun.site.1.userName}")
    protected String userName;

    @Value("${$upyun.site.1.password}")
    protected String password;

    @Value("${$upyun.site.1.uploadUrl}")
    private String uploadUrl;

    /**
     * 配置文件环境
     */
    @Value("${spring.profiles.active}")
    private String profile;

    /**
     * 文件存放目录
     */
    @Value("${examcloud.web.sys.dataDir}")
    private String dir;

    /**
     * 文件存放临时目录
     */
    @Value("${examcloud.web.sys.tempDataDir}")
    private String tempDir;

    /**
     * 题库访问地址前缀
     */
    @Value("${$question.url.prefix}")
    private String questionUrlPrefix;

    public String getDomain() {
        if (domain != null) {
            return domain.trim();
        }
        return "";
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getBucketName() {
        if (bucketName != null) {
            return bucketName.trim();
        }
        return "";
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getUserName() {
        if (userName != null) {
            return userName.trim();
        }
        return "";
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        if (password != null) {
            return password.trim();
        }
        return "";
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUploadUrl() {
        if (uploadUrl != null) {
            return uploadUrl.trim();
        }
        return "";
    }

    public void setUploadUrl(String uploadUrl) {
        this.uploadUrl = uploadUrl;
    }

    public String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        this.profile = profile;
    }

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public String getTempDir() {
        return tempDir;
    }

    public void setTempDir(String tempDir) {
        this.tempDir = tempDir;
    }

    public String getQuestionUrlPrefix() {
        return questionUrlPrefix;
    }

    public void setQuestionUrlPrefix(String questionUrlPrefix) {
        this.questionUrlPrefix = questionUrlPrefix;
    }

}