/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:25:58.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticLessInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticRefreshReq;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @author: QMTH
 * @since: 2018/10/22
 */
public interface CourseStatisticService {

    /**
     * 获取课程统计信息列表(分页)
     */
    Page<CourseStatisticInfo> getCourseStatisticList(CourseStatisticQuery query);

    /**
     * 同步更新课程名称信息
     */
    void syncCourseNameByCourseId(Long courseId, String courseName);

    /**
     * 获取某考试的所有课程的试卷页数和考生人数信息列表
     */
    List<CourseStatisticLessInfo> getCourseStatisticLessInfoList(Long orgId, Long examId);

    /**
     * 刷新某些课程的统计信息
     *
     * @param req 请求表单
     */
    void refreshCourseStatistic(CourseStatisticRefreshReq req);

    /**
     * 初始所有课程的统计信息
     */
    void initAllCourseStatistic();

}