/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-08 11:13:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.common.utils.ExcelUtils;
import cn.com.qmth.examcloud.core.print.entity.CoursePaper;
import cn.com.qmth.examcloud.core.print.entity.ExamQuestionStructure;
import cn.com.qmth.examcloud.core.print.entity.ObjectiveQuestionStructure;
import cn.com.qmth.examcloud.core.print.entity.SubjectiveQuestionStructure;
import cn.com.qmth.examcloud.core.print.service.CoursePaperService;
import cn.com.qmth.examcloud.core.print.service.ExamQuestionStructureService;
import cn.com.qmth.examcloud.core.print.service.ExamStructureService;
import cn.com.qmth.examcloud.core.print.service.StatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.ExportAllReq;
import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.ExportBatchReq;
import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureInfo;
import com.google.common.collect.Lists;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.io.File;
import java.util.List;

/**
 * @author: QMTH
 * @since: 2018/11/08
 */
public class CoursePaperServiceTest extends BaseTest {
    @Autowired
    private ExamQuestionStructureService examQuestionStructureService;
    @Autowired
    private ExamStructureService examStructureService;
    @Autowired
    private CoursePaperService coursePaperService;
    @Autowired
    private StatisticService statisticService;

    @Test
    public void test() throws Exception {
        coursePaperService.syncCourseNameByCourseId(courseId, "测试课程");
    }

    @Test
    public void allotCoursePaperTest() throws Exception {
        Long courseStatisticId = 1L;
        Long coursePaperId = 1L;
        coursePaperService.allotCoursePaper(courseStatisticId, coursePaperId);
        //coursePaperService.allotAllCoursePaper(orgId, examId);
    }

    @Test
    public void syncCoursePaperTest() throws Exception {
        CoursePaper coursePaper = new CoursePaper();
        coursePaper.setOrgId(orgId);
        coursePaper.setExamId(examId);
        coursePaper.setCourseId(courseId);
        coursePaper.setCourseCode("123456");
        coursePaper.setCourseName("测试课程");
        coursePaper.setPaperId("5c17185fef8fce6beaf0fdc7");
        coursePaper.setPaperName("测试试卷");
        coursePaperService.syncCoursePaper(coursePaper);

//        coursePaperService.convertCoursePapers();
//        ExamQuestionStructureInfo info = statisticService.findStructureByPaperId(coursePaper.getExamId(), coursePaper.getPaperId());
//        System.out.println(jsonMapper.toJson(info));
    }

    @Test
    public void exportAllCoursePaperTest() throws Exception {
        ExportAllReq req = new ExportAllReq();
        req.setOrgId(orgId);
        req.setExamId(examId);
        req.setNeedPaper(true);
        req.setNeedAnswer(true);
        req.setNeedStruct(true);
        File file = coursePaperService.exportAllCoursePaper(req);
        if (file != null) {
            System.out.println(file.getPath());
        }
    }

    @Test
    public void exportBatchCoursePaperTest() throws Exception {
        ExportBatchReq req = new ExportBatchReq();
        req.setIds(Lists.newArrayList(1L, 2L, 3L));
        req.setNeedPaper(true);
        req.setNeedAnswer(true);
        req.setNeedStruct(true);
        File file = coursePaperService.exportBatchCoursePaper(req);
        if (file != null) {
            System.out.println(file.getPath());
        }
    }

    @Test
    public void getQuestionStructureListTest() {
        ExamStructureInfo examStructure = new ExamStructureInfo();
        examStructure.setOrgId(orgId);
        examStructure.setOrgName("启明泰和");
        examStructure.setExamId(examId);
        examStructure.setExamName("测试考试");
        ExamQuestionStructure questionStructure = new ExamQuestionStructure();
        questionStructure.setSingleChoiceTotal(10);
        questionStructure.setMultipleChoiceTotal(10);
        questionStructure.setBoolQuestionTotal(10);
        examStructure.setQuestionStructure(questionStructure);
        //examStructureService.saveExamStructure(examStructure);

        final String paperId = "5bbc422def8fce44c27cfecf";
        List<ObjectiveQuestionStructure> objectives = examQuestionStructureService.getObjectiveQuestionStructureList(orgId, examId, paperId, paperType);
        System.out.println(jsonMapper.toJson(objectives));
        String objectiveFile = "C:/Users/deason/Desktop/客观题.xlsx";
        ExcelUtils.exportExcel(ObjectiveQuestionStructure.class, objectives, new File(objectiveFile));

        List<SubjectiveQuestionStructure> subjectives = examQuestionStructureService.getSubjectiveQuestionStructureList(orgId, examId, paperId, paperType);
        System.out.println(jsonMapper.toJson(subjectives));
        String subjectiveFile = "C:/Users/deason/Desktop/主观题.xlsx";
        ExcelUtils.exportExcel(SubjectiveQuestionStructure.class, subjectives, new File(subjectiveFile));
    }

}